### Method

# Dex Future await_object

#### Declaration [src]

    GObject*
    dex_await_object (
      DexFuture* future
      GError** error
    )

#### Description [src]

Awaits on `future` and returns the `GObject`-based result.

#### Return value

Type: `GObject`

The object, or `NULL` and `error` is set.

The caller of the method takes ownership of the data, and is responsible for freeing it.